Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.henrylabs.ai/v0/cart/items \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --header 'x-user-id: <x-user-id>' \ --data @- <<EOF { "productsDetails": [ { "name": "Men's Trail Runners", "price": "100", "quantity": 1, "productLink": "https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106", "productId": "P01145AC2", "metadata": { "color": "Black", "size": "9" }, "affiliateProductLink": "https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106?ref=affiliate123", "productImageLink": "https://images.ctfassets.net/hnk2vsx53n6l/2xi62H2BswFpVK0SjUmhXM/0d4a4bb14915c9a5d3228df45c774629/c36d3fd00cf91ec9fb5ff4bc4d4a0093cccbe8cd.png?w=192&h=192&fm=avif&f=center&fit=fill&q=80" } ], "checkVariantAvailability": false } EOF
{ "success": true, "status": "<string>", "message": "<string>", "data": { "added_products": [ { "productId": "<string>", "name": "<string>", "price": "<string>", "quantity": 123 } ], "updated_products": [ { "productId": "<string>", "name": "<string>", "price": "<string>", "quantity": 123, "previousQuantity": 123, "addedQuantity": 123 } ], "cart_summary": { "total_items": 123, "total_unique_products": 123 }, "variant_checks": [ { "productId": "<string>", "variantCheckRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "<string>" } ] } }
Adds product data to existing cart or create a new one.
1
Show child attributes
Whether to check variant availability after adding to cart. If true, variant check requests will be created for products with metadata and requestIds returned.
false
Product added to the cart successfully.
true
"success"
"Product added to the cart successfully"
Was this page helpful?